Index: trunk/source/processes/hadronic/stopping/include/G4AntiNeutronAnnihilationAtRest.hh
===================================================================
--- trunk/source/processes/hadronic/stopping/include/G4AntiNeutronAnnihilationAtRest.hh	(revision 1007)
+++ trunk/source/processes/hadronic/stopping/include/G4AntiNeutronAnnihilationAtRest.hh	(revision 1055)
@@ -61,6 +61,7 @@
      G4bool IsApplicable(const G4ParticleDefinition&);
 
-  // null physics table
-     void BuildPhysicsTable(const G4ParticleDefinition&){}
+     void PreparePhysicsTable(const G4ParticleDefinition&);
+
+     void BuildPhysicsTable(const G4ParticleDefinition&);
 
      G4double AtRestGetPhysicalInteractionLength(const G4Track&,
Index: trunk/source/processes/hadronic/stopping/include/G4AntiProtonAnnihilationAtRest.hh
===================================================================
--- trunk/source/processes/hadronic/stopping/include/G4AntiProtonAnnihilationAtRest.hh	(revision 1007)
+++ trunk/source/processes/hadronic/stopping/include/G4AntiProtonAnnihilationAtRest.hh	(revision 1055)
@@ -61,6 +61,7 @@
      G4bool IsApplicable(const G4ParticleDefinition&);
 
-  // null physics table
-     void BuildPhysicsTable(const G4ParticleDefinition&){}
+     void PreparePhysicsTable(const G4ParticleDefinition&);
+
+     void BuildPhysicsTable(const G4ParticleDefinition&);
 
      G4double AtRestGetPhysicalInteractionLength(const G4Track&,
Index: trunk/source/processes/hadronic/stopping/include/G4KaonMinusAbsorption.hh
===================================================================
--- trunk/source/processes/hadronic/stopping/include/G4KaonMinusAbsorption.hh	(revision 1007)
+++ trunk/source/processes/hadronic/stopping/include/G4KaonMinusAbsorption.hh	(revision 1055)
@@ -62,6 +62,7 @@
      G4bool IsApplicable(const G4ParticleDefinition&);
 
-  // null physics table
-     void BuildPhysicsTable(const G4ParticleDefinition&){}
+     void PreparePhysicsTable(const G4ParticleDefinition&);
+
+     void BuildPhysicsTable(const G4ParticleDefinition&);
 
      G4double AtRestGetPhysicalInteractionLength(const G4Track&,
Index: trunk/source/processes/hadronic/stopping/include/G4KaonMinusAbsorptionAtRest.hh
===================================================================
--- trunk/source/processes/hadronic/stopping/include/G4KaonMinusAbsorptionAtRest.hh	(revision 1007)
+++ trunk/source/processes/hadronic/stopping/include/G4KaonMinusAbsorptionAtRest.hh	(revision 1055)
@@ -69,4 +69,8 @@
                return( particle == *(G4KaonMinus::KaonMinus()) );
   }
+
+  void PreparePhysicsTable(const G4ParticleDefinition&);
+
+  void BuildPhysicsTable(const G4ParticleDefinition&);
 
   // the main method ...
Index: trunk/source/processes/hadronic/stopping/include/G4NeutronCaptureAtRest.hh
===================================================================
--- trunk/source/processes/hadronic/stopping/include/G4NeutronCaptureAtRest.hh	(revision 1007)
+++ trunk/source/processes/hadronic/stopping/include/G4NeutronCaptureAtRest.hh	(revision 1055)
@@ -62,6 +62,8 @@
      G4bool IsApplicable(const G4ParticleDefinition&);
 
+     void PreparePhysicsTable(const G4ParticleDefinition&);
+
   // null physics table
-     void BuildPhysicsTable(const G4ParticleDefinition&){}
+     void BuildPhysicsTable(const G4ParticleDefinition&);
 
      G4double AtRestGetPhysicalInteractionLength(const G4Track&,
Index: trunk/source/processes/hadronic/stopping/include/G4PiMinusAbsorptionAtRest.hh
===================================================================
--- trunk/source/processes/hadronic/stopping/include/G4PiMinusAbsorptionAtRest.hh	(revision 1007)
+++ trunk/source/processes/hadronic/stopping/include/G4PiMinusAbsorptionAtRest.hh	(revision 1055)
@@ -75,4 +75,8 @@
     { return ( particle == *(G4PionMinus::PionMinus()) ); }
 
+  void PreparePhysicsTable(const G4ParticleDefinition&);
+
+  void BuildPhysicsTable(const G4ParticleDefinition&);
+
   G4VParticleChange* AtRestDoIt(const G4Track& aTrack, const G4Step& aStep); 
 
Index: trunk/source/processes/hadronic/stopping/include/G4PionMinusAbsorptionAtRest.hh
===================================================================
--- trunk/source/processes/hadronic/stopping/include/G4PionMinusAbsorptionAtRest.hh	(revision 1007)
+++ trunk/source/processes/hadronic/stopping/include/G4PionMinusAbsorptionAtRest.hh	(revision 1055)
@@ -61,6 +61,8 @@
      G4bool IsApplicable(const G4ParticleDefinition&);
 
+     void PreparePhysicsTable(const G4ParticleDefinition&);
+
   // null physics table
-     void BuildPhysicsTable(const G4ParticleDefinition&){}
+     void BuildPhysicsTable(const G4ParticleDefinition&);
 
      G4double AtRestGetPhysicalInteractionLength(const G4Track&,
